Index: soft/giet_vm/giet_drivers/xcu_driver.c
===================================================================
--- soft/giet_vm/giet_drivers/xcu_driver.c	(revision 395)
+++ soft/giet_vm/giet_drivers/xcu_driver.c	(revision 437)
@@ -4,8 +4,4 @@
 // Author   : alain greiner
 // Copyright (c) UPMC-LIP6
-///////////////////////////////////////////////////////////////////////////////////
-// This peripheral is replicated in all clusters containing processors.
-//
-// SEG_XCU_BASE and PERI_CLUSTER_INCREMENT must be defined in hard_config.h file.
 ///////////////////////////////////////////////////////////////////////////////////
 
@@ -85,9 +81,5 @@
 }
 
-////////////////////////////////////////////////////////////////////////////////
-// This function set the mask register for the IRQ type defined by "irq_type",
-// and for the channel identified by the "cluster_xy" and "channel" arguments.
-// All '1' bits are set / all '0' bits are not modified.
-////////////////////////////////////////////////////////////////////////////////
+////////////////////////////////////////////
 void _xcu_set_mask( unsigned int cluster_xy, 
                     unsigned int channel,  
@@ -109,5 +101,5 @@
     else
     { 
-        _printf("[GIET ERROR] _xcu_set_mask() receives illegal IRQ type\n");
+        _puts("[GIET ERROR] _xcu_set_mask() receives illegal IRQ type\n");
         _exit();
     }
@@ -116,17 +108,10 @@
 
 #else
-    _printf("[GIET ERROR] _xcu_set_mask() should not be used if USE_XCU not set\n");
-    _exit();
-#endif
-}
-
-////////////////////////////////////////////////////////////////////////////////
-// This function returns the index and the type of the highest priority 
-// - active PTI (Timer Interrupt), then
-// - active HWI (Hardware Interrupt), then
-// - active WTI (Software Interrupt)
-// As the hardware can define more than one IRQ per processor, but the GIET
-// use only one, channel = lpid * IRQ_PER_PROCESSOR.
-////////////////////////////////////////////////////////////////////////////////
+    _puts("[GIET ERROR] _xcu_set_mask() should not be used if USE_XCU not set\n");
+    _exit();
+#endif
+}
+
+/////////////////////////////////////////////
 void _xcu_get_index( unsigned int cluster_xy, 
                      unsigned int channel,   
@@ -170,13 +155,10 @@
  
 #else
-    _printf("[GIET ERROR] _xcu_get_index should not be used if USE_XCU is not set\n");
-    _exit();
-#endif
-}
-
-////////////////////////////////////////////////////////////////////////////////
-// This function writes the "wdata" value in the mailbox defined 
-// by the "cluster_xy" and "wti_index" arguments.
-////////////////////////////////////////////////////////////////////////////////
+    _puts("[GIET ERROR] _xcu_get_index should not be used if USE_XCU is not set\n");
+    _exit();
+#endif
+}
+
+////////////////////////////////////////////
 void _xcu_send_wti( unsigned int cluster_xy,
                     unsigned int wti_index,
@@ -194,15 +176,10 @@
 
 #else
-    _printf("[GIET ERROR] _xcu_send_wti() should not be used if USE_XCU is not set\n");
+    _puts("[GIET ERROR] _xcu_send_wti() should not be used if USE_XCU is not set\n");
     _exit();
 #endif
 } 
 
-////////////////////////////////////////////////////////////////////////////////
-// This function returns the value contained in a WTI mailbox defined by
-// the cluster_xy and "wti_index" arguments. This value is written in
-// the "value" argument, and the corresponding WTI is acknowledged.
-// returns 0 if success, > 0 if error.
-////////////////////////////////////////////////////////////////////////////////
+///////////////////////////////////////////////////
 void _xcu_get_wti_value( unsigned int   cluster_xy,
                          unsigned int   wti_index,
@@ -220,16 +197,10 @@
 
 #else
-    _printf("[GIET ERROR] in _xcu_get_wti_value() USE_XCU is not set\n");
-    _exit();
-#endif
-}
-
-////////////////////////////////////////////////////////////////////////////////
-// This function returns the address of a WTI mailbox defined by
-// the "wti_index" argument, in the unsigned int "address" argument.
-// It is used by the GIET to configurate the IOPIC component.
-// There is no access to a specific XCU component in a specific cluster.
-// returns 0 if success, > 0 if error.
-////////////////////////////////////////////////////////////////////////////////
+    _puts("[GIET ERROR] in _xcu_get_wti_value() USE_XCU is not set\n");
+    _exit();
+#endif
+}
+
+////////////////////////////////////////////////////
 void _xcu_get_wti_address( unsigned int   wti_index,
                            unsigned int * address )
@@ -241,13 +212,10 @@
 
 #else
-    _printf("[GIET ERROR] in _xcu_get_wti_address() USE_XCU is not set\n");
-    _exit();
-#endif
-}
-
-////////////////////////////////////////////////////////////////////////////////
-// This function activates a timer contained in XCU by writing in the
-// proper register the period value.
-////////////////////////////////////////////////////////////////////////////////
+    _puts("[GIET ERROR] in _xcu_get_wti_address() USE_XCU is not set\n");
+    _exit();
+#endif
+}
+
+///////////////////////////////////////////////
 void _xcu_timer_start( unsigned int cluster_xy,
                        unsigned int pti_index,
@@ -264,13 +232,10 @@
 
 #else
-    _printf("[GIET ERROR] in _xcu_timer_start() USE_XCU is not set\n");
-    _exit();
-#endif
-}
-
-//////////////////////////////////////////////////////////////////////////////
-// This function desactivates a timer in XCU component
-// by writing in the proper register.
-//////////////////////////////////////////////////////////////////////////////
+    _puts("[GIET ERROR] in _xcu_timer_start() USE_XCU is not set\n");
+    _exit();
+#endif
+}
+
+//////////////////////////////////////////////
 void _xcu_timer_stop( unsigned int cluster_xy, 
                       unsigned int pti_index) 
@@ -286,15 +251,10 @@
 
 #else
-    _printf("[GIET ERROR] in _xcu_timer_stop() USE_XCU is not set\n");
-    _exit();
-#endif
-}
-
-//////////////////////////////////////////////////////////////////////////////
-// This function acknowlegge a timer interrupt in XCU 
-// component by reading in the proper XCU register.
-// It can be used by both the isr_switch() for a "system" timer, 
-// or by the _isr_timer() for an "user" timer.
-//////////////////////////////////////////////////////////////////////////////
+    _puts("[GIET ERROR] in _xcu_timer_stop() USE_XCU is not set\n");
+    _exit();
+#endif
+}
+
+///////////////////////////////////////////////////////////
 unsigned int _xcu_timer_reset_irq( unsigned int cluster_xy, 
                                    unsigned int pti_index ) 
@@ -311,5 +271,5 @@
 
 #else
-    _printf("[GIET ERROR] in _xcu_timer_reset_irq() USE_XCU is not set\n");
+    _puts("[GIET ERROR] in _xcu_timer_reset_irq() USE_XCU is not set\n");
     _exit();
     return 0;
@@ -317,12 +277,5 @@
 }
 
-//////////////////////////////////////////////////////////////////////////////
-// This function resets a timer counter. To do so, we re-write the period
-// in the proper register, what causes the count to restart.
-// The period value is read from the same (TIMER_PERIOD) register,
-// this is why in appearance we do nothing useful (read a value
-// from a register and write this value in the same register).
-// This function is called during a context switch (user or preemptive)
-/////////////////////////////////////////////////////////////////////////////
+///////////////////////////////////////////////////
 void _xcu_timer_reset_cpt( unsigned int cluster_xy, 
                            unsigned int pti_index ) 
@@ -343,5 +296,5 @@
 
 #else
-    _printf("[GIET ERROR] in _xcu_timer_reset_cpt() USE_XCU is not set\n");
+    _puts("[GIET ERROR] in _xcu_timer_reset_cpt() USE_XCU is not set\n");
     _exit();
 #endif
